<ui:composition
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"

        xmlns:p="http://primefaces.org/ui"
        xmlns:x="http://java.sun.com/jsf/html"
        xmlns:f="http://xmlns.jcp.org/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
        template="../../resources/templates/tfjadefault/template.xhtml">


    <style>
        div[id="form:growl_container"] > div {
            background-color: red !important;
        }

        div[id="form:growl_container"] > div {
            background-color: green !important;
        }

        .ui-datalist {
            width: 300px;
            margin-bottom: 20px;
        }

        .ui-datalist-item {
            padding: 3px;
        }

        .paginated .ui-datalist-data {
            padding-left: 20px;
        }

        .ui-datalist ul {
            padding: 0px 10px 0 20px;
            margin: 5px 0;
        }

        .ui-datalist {
            margin-bottom: 10px
        }

        .ui-noborder tr.ui-widget-content {
            background: none;
        }

        .smcht > div {
            margin: 0 0 10px 0 !important;
        }

        .smcht > div > div {
            min-width: 125px;
        }

        .smcht > .ui-g {
            margin: 0 0 10px 0 !important;
        }
    </style>
    <ui:define name="content">

        <h:form id="form">
            <p:growl id="growl" showDetail="true" sticky="true" globalOnly="true"/>
            <p:dataList value="#{usersPermissionsMB.users}" var="u" type="unordered" itemType="none" paginator="true"
                        rows="10" styleClass="paginated">
                <f:facet name="header">
                    Usuarios
                </f:facet>
                <p:commandLink update=":form:userDetail" oncomplete="PF('userDialog').show()" title="Permisos"
                               styleClass="ui-icon pi pi-search"
                               style="float:left;margin-right:10px;margin-top:3px; color:#333333"
                               action="#{usersPermissionsMB.onUserSelect}">
                    <f:setPropertyActionListener value="#{u}" target="#{usersPermissionsMB.user}"/>
                    <h:outputText styleClass="pi pi-search" style="margin:0 auto;"
                                  value="#{u.firstName} #{u.lastName} #{u.surname}"/>
                </p:commandLink>
                <h:outputText value="#{u.key}" style="display:inline-block"/>
                <div style="clear: both"></div>
            </p:dataList>

            <p:dialog header="Información del Usuario" widgetVar="userDialog" modal="true" showEffect="blind"
                      hideEffect="explode" resizable="false">
                <p:outputPanel id="userDetail">
                    <p:tabView>
                        <p:tab title="Modulos">
                            <p:panelGrid rendered="#{usersPermissionsMB.user ne null}">
                                <f:facet name="header">
                                    <h:outputText value="#{usersPermissionsMB.user.key}"/>
                                </f:facet>
                                <p:row>
                                    <p:column>
                                        <h:outputText value="Nombre:"/>
                                    </p:column>
                                    <p:column>
                                        <h:outputText
                                                value="#{usersPermissionsMB.user.firstName} #{usersPermissionsMB.user.lastName} #{usersPermissionsMB.user.surname}"/>
                                    </p:column>
                                    <p:column>
                                        <p:commandButton value="Guardar cambios" update=":form:userDetail :form:growl"
                                                         actionListener="#{usersPermissionsMB.saveChanges}"/>
                                    </p:column>
                                </p:row>
                                <p:row>
                                    <p:column colspan="3">
                                        <p:selectManyCheckbox id="grid3" value="#{usersPermissionsMB.modules}"
                                                              layout="responsive" columns="10" styleClass="smcht">
                                            <f:selectItems value="#{usersPermissionsMB.allModules}" var="m"
                                                           itemLabel="#{m}"
                                                           itemValue="#{m}"/>
                                        </p:selectManyCheckbox>
                                    </p:column>

                                </p:row>
                            </p:panelGrid>
                        </p:tab>
                        <p:tab title="Datos personales">
                            <p:panelGrid  rendered="#{usersPermissionsMB.user ne null}">
                                <p:row>
                                    <p:column>
                                        <p:outputLabel value="Nombre" for="name"/>
                                        <p:inputText id="name" value="#{usersPermissionsMB.user.firstName}"/>
                                    </p:column>
                                    <p:column>
                                        <p:outputLabel value="Apellido Paterno" for="lastname"/>
                                        <p:inputText id="lastname" value="#{usersPermissionsMB.user.lastName}"/>
                                    </p:column>
                                    <p:column>
                                        <p:outputLabel value="Apellido Materno" for="surname"/>
                                        <p:inputText id="surname" value="#{usersPermissionsMB.user.surname}"/>
                                    </p:column>
                                </p:row>
                                <p:row>
                                    <p:column colspan="3">
                                        <p:commandButton actionListener="#{usersPermissionsMB.editUserData}" style="float: right;border: 1px solid white"
                                                         value="Guardar cambios" icon="ui-icon ui-icon-check" iconPos="right"
                                                         update=":form:userDetail :form:growl"/>
                                    </p:column>
                                </p:row>
                            </p:panelGrid>
                        </p:tab>
                    </p:tabView>
                </p:outputPanel>
            </p:dialog>
        </h:form>


        <p:outputLabel value="Ver. 0.7 ALFA"/>
    </ui:define>


</ui:composition>